MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024279Community[OCCT] OCCT:Data Exchangepublic2013-10-22 19:392013-12-19 14:00
Reporternikiml 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024279: bug in Standard_Boolean STEPCAFControl_Reader::Transfer
Description415 Standard_Boolean STEPCAFControl_Reader::Transfer (STEPControl_Reader &reader,
416 const Standard_Integer nroot,
417 Handle(TDocStd_Document) &doc,
418 TDF_LabelSequence &Lseq,
419 const Standard_Boolean asOne)
420 {
421 reader.ClearShapes();
422 Standard_Integer i;
423
424 // Read all shapes
425 Standard_Integer num = reader.NbRootsForTransfer();
426 if ( num <=0 ) return Standard_False;
427 if ( nroot ) {
428 if ( nroot > num ) return Standard_False;
429 reader.TransferOneRoot ( num );
430 }
431 else {
432 for ( i=1; i <= num; i++ ) reader.TransferOneRoot ( i );
433 }
Steps To Reproduceline
429 reader.TransferOneRoot ( num );

should be
429 reader.TransferOneRoot ( nroot );
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027064)
gka (developer)
2013-12-04 10:39

Branch CR24279 is ready to be reviewed
(0027065)
abv (manager)
2013-12-04 10:45

No remarks, please test
(0027098)
apn (administrator)
2013-12-05 12:50

Dear BugMaster,

Branch CR24279 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 004b3481de07e43e9a3eefdee0fdf2b0a806746c

Number of compiler warnings:

occt component :
Linux: 103 (103 on master)
Windows: 0 (0 on master)

products component :
Linux: 188 (188 on master)
Windows: 237 (237 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355096700 / 358727484
Total CPU difference: 43512.640000000094 / 45679.200000000186

Testing on Windows:
Total MEMORY difference: 400703880 / 400363780
Total CPU difference: 38091.140625 / 33637.046875

There are not differences in images found by testdiff.

- Related Changesets
occt: master 44d7c408
Timestamp: 2013-12-04 06:37:41
Author: gka
Committer: bugmaster
Details ] Diff ]
0024279: bug in Standard_Boolean STEPCAFControl_Reader::Transfer
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-10-22 19:39 nikiml New Issue
2013-10-22 19:39 nikiml Assigned To => gka
2013-12-04 10:39 gka Note Added: 0027064
2013-12-04 10:39 gka Assigned To gka => abv
2013-12-04 10:39 gka Status new => resolved
2013-12-04 10:45 abv Note Added: 0027065
2013-12-04 10:45 abv Assigned To abv => bugmaster
2013-12-04 10:45 abv Status resolved => reviewed
2013-12-04 14:34 apn Assigned To bugmaster => apn
2013-12-04 14:34 apn Description Updated View Revisions
2013-12-05 12:50 apn Note Added: 0027098
2013-12-05 12:51 apn Test case number => Not needed
2013-12-05 12:51 apn Assigned To apn => bugmaster
2013-12-05 12:51 apn Status reviewed => tested
2013-12-05 12:51 apn Target Version => 6.7.0
2013-12-06 17:57 bugmaster Changeset attached => occt master 44d7c408
2013-12-06 17:57 bugmaster Status tested => verified
2013-12-06 17:57 bugmaster Resolution open => fixed
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 14:00 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker